<?php

namespace FiloBlu\Esb\Api\Data;

use Magento\Framework\DataObject;

/**
 * Interface MessageInterface
 * @package FiloBlu\Esb\Api\Data
 */
interface MessageInterface
{
    /**
     * @param DataObject $data
     * @return MessageInterface
     */
    public function setPayload(DataObject $data);

    /**
     * @return DataObject
     */
    public function getPayload();
}
